## scikit-learn 1.1.2+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD  ?= sphinx-build
PAPER         =
BUILDDIR      = _build

# Disable multiple jobs on OSX
ifeq ($(shell uname), Darwin)
	SPHINX_NUMJOBS = 1
else
	SPHINX_NUMJOBS = auto
endif

ifneq ($(EXAMPLES_PATTERN),)
    EXAMPLES_PATTERN_OPTS := -D sphinx_gallery_conf.filename_pattern="$(EXAMPLES_PATTERN)"
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)\
    -j$(SPHINX_NUMJOBS) $(EXAMPLES_PATTERN_OPTS) .


.PHONY: help clean html dirhtml ziphtml pickle json latex latexpdf changes linkcheck doctest optipng

all: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  ziphtml   to make a ZIP of the HTML"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

ziphtml:
	@if [ ! -d "$(BUILDDIR)/html/stable/" ]; then \
		make html; \
	fi
	# Optimize the images to reduce the size of the ZIP
	optipng $(BUILDDIR)/html/stable/_images/*.png
	# Exclude the output directory to avoid infinity recursion
	cd $(BUILDDIR)/html/stable; \
	zip -q -x _downloads \
	       -r _downloads/scikit-learn-docs.zip .
	@echo
	@echo "Build finished. The ZIP of the HTML is in $(BUILDDIR)/html/stable/_downloads."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

download-data:
	python -c "from sklearn.datasets._lfw import _check_fetch_lfw; _check_fetch_lfw()"

# Optimize PNG files. Needs OptiPNG. Change the -P argument to the number of
# cores you have available, so -P 64 if you have a real computer ;)
optipng:
	find _build auto_examples */generated -name '*.png' -print0 \
	  | xargs -0 -n 1 -P 4 optipng -o10

dist: html ziphtml

=== debian/changelog ===
scikit-learn (1.1.2+dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix incorrect use of JOBLIB_MULTIPROCESSING, it is
    a boolean (Closes: #1017402)
  * Add riscv64 to architectures where test suite results are ignored

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Aug 2022 09:14:47 +0000

scikit-learn (1.1.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * Restrict joblib mulitiprocessing during the autopkgtests,
    see #1017402

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2022 11:11:54 +0000

scikit-learn (1.1.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix way to ignore errors

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2022 07:13:43 +0200

scikit-learn (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove bootstrap from d/copyright since it is not included any more
  * Do not ignore tests from test suite in the beginning but run all tests
    and do not fail if dh_auto_test returns error.  Thus we keep a logfile
    containing failed errors we can point upstream to

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 14:38:37 +0200

scikit-learn (1.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix Maintainer name of Debian Science team (routine-update)
  * Change repository to default layout and remove debian/gbp.conf
  * Drop debian/README.source since it contains outdated information
  * Drop unused bootstrap code from upstream source tarball

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 15:20:38 +0200

scikit-learn (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Prevent network access during sphinx build. (Closes: #1015805)
  * Skip all tests that calls fetch_openml() for network access.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Jul 2022 12:55:12 -0700

scikit-learn (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 23 May 2022 21:08:39 +0530

scikit-learn (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * run tests without colour to make build and debci logs more legible
  * debian/tests Depends: python3-setuptools

  [ Chiara Marmo ]
  * New upstream release. Update Standards-Version.

  [ Andreas Tille ]
  * Rename debian/.gitlab-ci.yml to debian/salsa-ci.yml
  * Relax test tolerance
  * Revert nocheck option from NMU since the check will pass now hopefully
  * Fix files location in d/copyright
  * Drop outdated debian/TODO
  * Update debian/source/lintian-overrides
  * bootstrap-responsive*.css is not vendored by scikit-learn docs any more
    Closes: #924213

 -- Andreas Tille <tille@debian.org>  Tue, 15 Feb 2022 17:44:37 +0100

scikit-learn (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * To advance the python3.10 transition, disable the tests during build
    for now (see: #1003165)

 -- Paul Gevers <elbrus@debian.org>  Fri, 21 Jan 2022 22:38:09 +0100

scikit-learn (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Created d/u/metadata

  [ Drew Parsons ]
  * New upstream release. Closes: #999528.
    - applies or deprecates debian patches:
       disable-doctest.patch
       Skip-two-tests-when-SciPy-1.5.patch
       Use-assert_allclose-instead-of-equality-in-FP-comparison.patch
       Change-expected-result-type-to-pass-on-32-bit.patch
       Increase-tolerance-for-RANSACRegressor-test.patch
       fix_scipy1.6_PR18711.patch
       skip_test_ELKI_PR19115.patch
  * Build-Depends-Indep: python3-sphinx-prompt,
    python3-sphinxext-opengraph
  * Versioned Build-Depends: cython3 (>= 0.28.5~),
     python3-numpy (>= 1.14.6~), python3-scipy (>= 1.1.10~)
  * Drop Build-Depends: libatlas-base-dev.
    Build against generic libblas-dev, use specific optimized blas at
    runtime. Closes: #918570.
  * debian patch fix_test_calibration_labels_PR21697.patch applies
    upstream PR#21697 to fix label access in test_calibration
  * skip test_load_boston_alternative at build-time (debian builds
    must not access the network)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Nov 2021 15:21:20 +0100

=== debian/control ===
Source: scikit-learn
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Christian Kastner <ckk@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               cython3,
               python3-setuptools,
               python3-numpy,
               python3-scipy (>= 1.1.10~),
               python3-nose,
               python3-pytest,
               python3-matplotlib,
               python3-joblib,
               python3-threadpoolctl,
               libsvm-dev,
               libblas-dev | libblas.so,
               python3-pandas <!nocheck>,
               python3-pil <!nocheck>,
               libjs-bootstrap4,
Build-Depends-Indep: python3-sphinx,
                     python3-sphinx-gallery,
                     python3-sphinx-prompt,
                     python3-sphinxext-opengraph,
                     python3-numpydoc (>= 0.9),
                     python3-pandas,
                     python3-skimage,
                     python3-seaborn,
                     python3-pil,
                     librsvg2-bin,
                     graphviz,
                     python3-doc,
                     python-numpy-doc,
                     python-scipy-doc,
                     python-matplotlib-doc,
                     python-pandas-doc
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
Homepage: https://scikit-learn.org
Rules-Requires-Root: no

Package: python3-sklearn
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-sklearn-lib(>= ${source:Version}),
         python3-joblib,
         python3-threadpoolctl
Recommends: python3-nose,
            python3-pytest,
            python3-matplotlib
Suggests: python3-dap,
          python-sklearn-doc,
          ipython3
Enhances: python3-mvpa2,
          python3-mdp
Provides: ${python3:Provides}
Description: Python modules for machine learning and data mining - Python 3
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)
 .
 This package contains the Python 3 version.

Package: python3-sklearn-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy
Provides: ${python3:Provides}
Description: low-level implementations and bindings for scikit-learn - Python 3
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.
 .
 This package contains the Python 3 version.

Package: python-sklearn-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-bootstrap4,
         libjs-mathjax
Suggests: python-sklearn
Conflicts: python-scikits-learn-doc
Replaces: python-scikits-learn-doc
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# See also: skimage

# This was used as last resort to advance the python3.10 transition by Paul Gevers in NMU, disable the tests during build (see: #1003165)
# export DEB_BUILD_OPTIONS += nocheck

include /usr/share/dpkg/architecture.mk

PY3VER  ?= $(shell py3versions -vd)
PY3VERS ?= $(shell py3versions -vr)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

export DEB_CFLAGS_MAINT_APPEND :=
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
  JOBS := 1
endif
export JOBS := $(JOBS)
export JOBLIB_MULTIPROCESSING=0

# things in the doc building and tests try to access stuff in HOME (https://bugs.debian.org/915078)
export HOME=$(CURDIR)/tmp

# don't run network tests at build time
EXCLUDE_TESTS = not test_load_boston_alternative and \
                not test_fetch_openml and \
                not test_missing_values_pandas and \
                not test_illegal_column and \
                not test_dataset_with_openml_warning and \
                not test_string_attribute_without_dataframe and \
                not test_warn_ignore_attribute and \
                not test_raises_illegal_multitarget and \
                not test_fetch_nonexiting and \
                not test_decode_emotions and \
                not test_decode_cpu and \
                not test_decode_anneal and \
                not test_decode_iris and \
                not test_dataset_with_openml_error and \
                not test_convert_arff_data_dataframe_warning_low_memory_pandas
# Until https://github.com/scikit-learn/scikit-learn/issues/17798
# is not solved
EXCLUDE_TEST += and not sklearn.ensemble._weight_boosting.AdaBoostRegressor

IGNORE_ERRORS=
ERROR_LOG=record
#we rather want to record the test suite errors in build log than ignoring the potentially failing tests
ifeq ($(ERROR_LOG),ignore)
# Some tests are known to fail randomly so need to be excluded ATM
ifeq ($(DEB_HOST_ARCH),arm64)
  # A bit aggressive exclusion of some tests which exhibit a problem I have no time to deal with on arm64
  EXCLUDE_TESTS += and not test_dump
endif

# Its a shame that nobody cares for all architectures but we do not have the manpower to fix all tests
ifeq ($(DEB_HOST_ARCH),armel)
  # Ignored due to bug #1003165
  EXCLUDE_TESTS += and not test_tfidf_no_smoothing
endif

# Until these are fixed:
# https://github.com/scikit-learn/scikit-learn/issues/16443
# https://github.com/scikit-learn/scikit-learn/issues/13052
## armhf is in a really bad state,  The log says "Fatal Python error: Bus error".  This really needs to be investigated
ifeq ($(DEB_HOST_ARCH),armhf)
  EXCLUDE_TESTS += and not test_check_estimators_stacking_estimator
  EXCLUDE_TESTS += and not test_check_estimators_voting_estimator
  EXCLUDE_TESTS += and not test_apply_path_readonly_all_trees
  EXCLUDE_TESTS += and not test_check_estimator
  EXCLUDE_TESTS += and not test_check_estimator_clones
  EXCLUDE_TESTS += and not test_check_estimator_pairwise
  EXCLUDE_TESTS += and not test_novelty_true_common_tests
  # This is actually a test generator, so this skips a *lot* of tests
  EXCLUDE_TESTS += and not test_common
endif

# Its a shame that nobody cares for all architectures but we do not have the manpower to fix all tests
ifeq ($(DEB_HOST_ARCH),mips64el)
  # Ignored due to bug #1003165
  EXCLUDE_TESTS += and not test_lasso_lars_vs_R_implementation
endif

# TBD. See https://bugs.debian.org/967977
ifeq ($(DEB_HOST_ARCH),s390x)
  EXCLUDE_TESTS += and not test_gaussian_kde
  EXCLUDE_TESTS += and not test_gaussian_kde
endif
ifeq ($(DEB_HOST_ARCH),alpha)
  EXCLUDE_TESTS += and not test_gaussian_kde
endif

# Same test, but not entirely the same results as above. Assuming same cause
ifeq ($(DEB_HOST_ARCH),i386)
  EXCLUDE_TESTS += and not test_gaussian_kde
  EXCLUDE_TESTS += and not test_y_multioutput
endif


# Until https://github.com/scikit-learn/scikit-learn/issues/19230 is open
ifeq ($(DEB_HOST_ARCH),i368)
  EXCLUDE_TESTS += and not test_convergence_dtype_consistency
endif

else
# for all architectures that are known to have failures in test suite we are ignoring these
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64))
  # Ignored due to bug #1003165
IGNORE_ERRORS= || true
endif
endif

# This is used by patch sphinx-doc-no-download.patch to prevent the sphinx
# doc build from downloading datasets, while not breaking the actual download
# functionality when user runs the same function. Disabling downloads also
# makes the build slightly faster. See also #1015805
export DEBIAN_POLICY_SECTION_4_9_NO_NETWORK_ACCESS=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

%-arch:
	dh $@ --with python3 --buildsystem pybuild

clean:
	dh $@ --with python3 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache build scikit_learn.egg-info tmp
	-mv PKG-INFO-BAK PKG-INFO
	rm -f debian/build-stamp-*
	for i in $$(find -name '*.pyx'); do \
		rm -f $${i%.*}.c $${i%.*}.cpp; \
	done
	for i in $$(find -name '*.pyx.in'); do \
		rm -f $${i%.*}; \
	done
ifneq (,$(filter python-sklearn-doc,$(shell dh_listpackages)))
	+$(MAKE) -C doc clean
endif

override_dh_auto_configure:
	mkdir -p tmp
	-mv PKG-INFO PKG-INFO-BAK
	python$(PY3VER) setup.py config
# 	dh_auto_configure
	mv PKG-INFO-BAK PKG-INFO
	# Provide bootstrap links even at build process - otherwise sphinx fails
	mkdir -p doc/themes/scikit-learn-modern/static/css/vendor/
	ln -s /usr/share/javascript/bootstrap4/css/bootstrap.min.css doc/themes/scikit-learn-modern/static/css/vendor/bootstrap.min.css
	mkdir -p doc/themes/scikit-learn-modern/static/js/vendor
	ln -s /usr/share/javascript/bootstrap4/js/bootstrap.min.js doc/themes/scikit-learn-modern/static/js/vendor/bootstrap.min.js

# Ensure sample and test data are copied to .pybuild
define PYBUILD_AFTER_BUILD
  for d in tests/data data descr images; do
    rm -rf {build_dir}/sklearn/datasets/$$d;
    ln -s {dir}/sklearn/datasets/$$d {build_dir}/sklearn/datasets/$$d;
  done;
endef
export PYBUILD_AFTER_BUILD
# Only with the default Python 3, additionally use pybuild to run
# sphinx once the build is complete.
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
define PYBUILD_AFTER_BUILD_python$(PY3VER)
  $(PYBUILD_AFTER_BUILD)
  PYTHONPATH={build_dir} \
  http_proxy='127.0.0.1.9' \
  https_proxy='127.0.0.1.9' \
  SPHINXBUILD="python$(PY3VER) -m sphinx" \
  $(MAKE) -C doc html SPHINXOPTS="-j $(JOBS)" || true;
  [ -d doc/_build/html ]
endef
export PYBUILD_AFTER_BUILD_python$(PY3VER)
endif
override_dh_auto_build-arch:
	# Don't try to build docs in the arch build, so unset that hook
	env -u PYBUILD_AFTER_BUILD_python$(PY3VER) \
		dh_auto_build


export PYBUILD_TEST_PYTEST := 1
export PYBUILD_TEST_ARGS_python3 := -m "not network" -v --color=no -k "$(EXCLUDE_TESTS)"
define PYBUILD_BEFORE_TEST
  (mv $(CURDIR)/sklearn/conftest.py $(CURDIR)/sklearn/conftest.py.test; \
   mv $(CURDIR)/sklearn/datasets/tests/conftest.py $(CURDIR)/sklearn/datasets/tests/conftest.py.test; \
   cd {build_dir} && python{version} -c 'import sklearn; sklearn.show_versions()')
endef
export PYBUILD_BEFORE_TEST
define PYBUILD_AFTER_TEST
  (mv $(CURDIR)/sklearn/conftest.py.test $(CURDIR)/sklearn/conftest.py; \
   mv $(CURDIR)/sklearn/datasets/tests/conftest.py.test $(CURDIR)/sklearn/datasets/tests/conftest.py)
endef
export PYBUILD_AFTER_TEST

# Nothing to do for indep
override_dh_auto_test-indep:


override_dh_auto_test-arch:
	dh_auto_test -a $(IGNORE_ERRORS)

export PYBUILD_AFTER_INSTALL = rm -f {destdir}/{install_dir}/_configtest*
override_dh_auto_install:
	dh_auto_install
	# cleanup python3 cache (mixing python3 subversions)
	-find debian/tmp -name "__pycache__" -exec rm -r {} +


override_dh_installdocs-arch:
	dh_installdocs -A README*.rst

override_dh_installdocs-indep:
	dh_installdocs -A README*.rst

## scikit-learn 1.2.1%2Bdfsg

=== doc/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 # Disable multiple jobs on OSX
 ifeq ($(shell uname), Darwin)
-	SPHINX_NUMJOBS = 1
+	SPHINX_NUMJOBS ?= 1
 else
-	SPHINX_NUMJOBS = auto
+	SPHINX_NUMJOBS ?= auto
 endif
 
 ifneq ($(EXAMPLES_PATTERN),)

=== debian/control ===
--- 
+++ 
@@ -34,11 +34,9 @@
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
-                     python-numpy-doc,
                      python-scipy-doc,
-                     python-matplotlib-doc,
                      python-pandas-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: https://scikit-learn.org

## scikit-learn 1.2.1+dfsg

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

# caution: testing won't work on windows, see README

PYTHON ?= python
CYTHON ?= cython
PYTEST ?= pytest
CTAGS ?= ctags

# skip doctests on 32bit python
BITS := $(shell python -c 'import struct; print(8 * struct.calcsize("P"))')

all: clean inplace test

clean-ctags:
	rm -f tags

clean: clean-ctags
	$(PYTHON) setup.py clean
	rm -rf dist

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	$(PYTEST) --showlocals -v sklearn --durations=20
test-sphinxext:
	$(PYTEST) --showlocals -v doc/sphinxext/
test-doc:
ifeq ($(BITS),64)
	$(PYTEST) $(shell find doc -name '*.rst' | sort)
endif
test-code-parallel: in
	$(PYTEST) -n auto --showlocals -v sklearn --durations=20

test-coverage:
	rm -rf coverage .coverage
	$(PYTEST) sklearn --showlocals -v --cov=sklearn --cov-report=html:coverage
test-coverage-parallel:
	rm -rf coverage .coverage .coverage.*
	$(PYTEST) sklearn -n auto --showlocals -v --cov=sklearn --cov-report=html:coverage

test: test-code test-sphinxext test-doc

trailing-spaces:
	find sklearn -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

cython:
	python setup.py build_src

ctags:
	# make tags for symbol based navigation in emacs and vim
	# Install with: sudo apt-get install exuberant-ctags
	$(CTAGS) --python-kinds=-i -R sklearn

doc: inplace
	$(MAKE) -C doc html

doc-noplot: inplace
	$(MAKE) -C doc html-noplot

code-analysis:
	flake8 sklearn | grep -v __init__ | grep -v external
	pylint -E -i y sklearn/ -d E1103,E0611,E1101

=== debian/changelog ===
scikit-learn (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:02:29 +0100

scikit-learn (1.2.1+dfsg-0exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Team upload.
  * Drop obsolete python-numpy-doc build dependency.
    (closes: #1029249)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Apache-2.0, Expat.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:01:45 +0100

scikit-learn (1.1.2+dfsg-92) unstable; urgency=medium

  * Team upload.
  * Drop python-matplotlib-doc dependency (Closes: #1027588)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 19:41:36 +0100

scikit-learn (1.1.2+dfsg-91) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.11 with upstream patch found by Paul Wise
    (Closes: #1023978).

 -- Stuart Prescott <stuart@debian.org>  Wed, 07 Dec 2022 00:34:07 +1100

scikit-learn (1.1.2+dfsg-8) unstable; urgency=medium

  * Team upload
  * Ignore test failure on amd64 as well, see #1023978

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 12:32:35 +0000

scikit-learn (1.1.2+dfsg-7) unstable; urgency=medium

  * Team upload
  * Align create_memmap_backed_data() by default to avoid a
    bus error on armhf, thanks Seth Arnold

 -- Graham Inggs <ginggs@debian.org>  Mon, 17 Oct 2022 10:44:39 +0000

scikit-learn (1.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch relax_test_tolerance.patch to relax
    tolerance in test_mlp_regressor_dtypes_casting in test_mlp.py from
    neural_network. Required for ppc64el to pass with scipy 1.8 with
    pythran support. Closes: #1019384.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Sep 2022 16:05:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 
 else
 # for all architectures that are known to have failures in test suite we are ignoring these
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64))
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64 amd64))
   # Ignored due to bug #1003165
 IGNORE_ERRORS= || true
 endif
@@ -216,4 +216,3 @@
 	dh_installdocs -A README*.rst
 
 override_dh_installdocs-indep:
-	dh_installdocs -A README*.rst

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
 python3-nose,
 python3-sklearn,
 python3-joblib (>= 0.9.2),
 python3-matplotlib,
 python3-numpy,
 python3-pytest,
 python3-scipy,
 python3-setuptools
Restrictions: allow-stderr

## scikit-learn 1.4.1.post1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 
 else
 # for all architectures that are known to have failures in test suite we are ignoring these
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64 amd64))
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 loong64 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64 amd64))
   # Ignored due to bug #1003165
 IGNORE_ERRORS= || true
 endif
@@ -121,13 +121,13 @@
 export DEBIAN_POLICY_SECTION_4_9_NO_NETWORK_ACCESS=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 %-arch:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 clean:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
@@ -140,6 +140,7 @@
 	for i in $$(find -name '*.pyx.in'); do \
 		rm -f $${i%.*}; \
 	done
+	find . -name "bootstrap.min*" -delete
 ifneq (,$(filter python-sklearn-doc,$(shell dh_listpackages)))
 	+$(MAKE) -C doc clean
 endif
@@ -155,6 +156,7 @@
 	ln -s /usr/share/javascript/bootstrap4/css/bootstrap.min.css doc/themes/scikit-learn-modern/static/css/vendor/bootstrap.min.css
 	mkdir -p doc/themes/scikit-learn-modern/static/js/vendor
 	ln -s /usr/share/javascript/bootstrap4/js/bootstrap.min.js doc/themes/scikit-learn-modern/static/js/vendor/bootstrap.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js           doc/themes/scikit-learn-modern/static/js/vendor/jquery-3.6.3.slim.min.js
 
 # Ensure sample and test data are copied to .pybuild
 define PYBUILD_AFTER_BUILD
@@ -209,10 +211,3 @@
 override_dh_auto_install:
 	dh_auto_install
 	# cleanup python3 cache (mixing python3 subversions)
-	-find debian/tmp -name "__pycache__" -exec rm -r {} +
-
-
-override_dh_installdocs-arch:
-	dh_installdocs -A README*.rst
-
-override_dh_installdocs-indep:

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://pypi.python.org/simple/scikit-learn .*/scikit-learn-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## scikit-learn 1.4.1.post1+dfsg

=== debian/changelog ===
scikit-learn (1.4.1.post1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:40:33 +0000

scikit-learn (1.4.1.post1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1029701, #1008369, #1027208, #1003165
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-sphinx-copybutton
  * Support loong64
    Closes: #1059206
  * Drop nose from Build-/Test-Depends
    Closes: #1018635
  * Fix clean target
    Closes: #1046775, #1049646
  * Work around unknown key 'recommender' in sphinx
  * Exclude minimized jquery JS from source and use symlink to Debian
    packaged min.js instead (crossing fingers that the version plays nicely)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 14:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                cython3,
                python3-setuptools,
                python3-numpy,
-               python3-scipy (>= 1.1.10~),
-               python3-nose,
+               python3-scipy,
                python3-pytest,
                python3-matplotlib,
                python3-joblib,
@@ -21,16 +20,18 @@
                libblas-dev | libblas.so,
                python3-pandas <!nocheck>,
                python3-pil <!nocheck>,
-               libjs-bootstrap4,
+               libjs-bootstrap4
 Build-Depends-Indep: python3-sphinx,
+                     python3-sphinx-copybutton,
                      python3-sphinx-gallery,
                      python3-sphinx-prompt,
                      python3-sphinxext-opengraph,
-                     python3-numpydoc (>= 0.9),
+                     python3-numpydoc,
                      python3-pandas,
                      python3-skimage,
                      python3-seaborn,
                      python3-pil,
+                     libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~),
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
@@ -51,8 +52,7 @@
          python3-sklearn-lib(>= ${source:Version}),
          python3-joblib,
          python3-threadpoolctl
-Recommends: python3-nose,
-            python3-pytest,
+Recommends: python3-pytest,
             python3-matplotlib
 Suggests: python3-dap,
           python-sklearn-doc,
@@ -93,8 +93,8 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-bootstrap4,
-         libjs-mathjax
-Suggests: python-sklearn
+         libjs-mathjax,
+         libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Tests: python3
 Depends: python3-all,
- python3-nose,
  python3-sklearn,
  python3-joblib (>= 0.9.2),
  python3-matplotlib,

## scikit-learn 1.4.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
-export DEB_CFLAGS_MAINT_APPEND :=
+export DEB_CFLAGS_MAINT_APPEND := -Wno-incompatible-pointer-types
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -61,6 +61,7 @@
 ifeq ($(DEB_HOST_ARCH),armel)
   # Ignored due to bug #1003165
   EXCLUDE_TESTS += and not test_tfidf_no_smoothing
+  EXCLUDE_TESTS += and not test_qda_regularization
 endif
 
 # Until these are fixed:
@@ -98,6 +99,7 @@
 ifeq ($(DEB_HOST_ARCH),i386)
   EXCLUDE_TESTS += and not test_gaussian_kde
   EXCLUDE_TESTS += and not test_y_multioutput
+  EXCLUDE_TESTS += and not test_svc_ovr_tie_breaking[NuSVC]
 endif
 
 
@@ -121,16 +123,9 @@
 export DEBIAN_POLICY_SECTION_4_9_NO_NETWORK_ACCESS=1
 
 %:
-	dh $@ --with sphinxdoc --buildsystem pybuild
-
-%-arch:
 	dh $@ --buildsystem pybuild
 
-clean:
-	dh $@ --buildsystem pybuild
-
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf .pytest_cache build scikit_learn.egg-info tmp
 	-mv PKG-INFO-BAK PKG-INFO
 	rm -f debian/build-stamp-*
@@ -145,12 +140,7 @@
 	+$(MAKE) -C doc clean
 endif
 
-override_dh_auto_configure:
-	mkdir -p tmp
-	-mv PKG-INFO PKG-INFO-BAK
-	python$(PY3VER) setup.py config
-# 	dh_auto_configure
-	mv PKG-INFO-BAK PKG-INFO
+execute_after_dh_auto_configure:
 	# Provide bootstrap links even at build process - otherwise sphinx fails
 	mkdir -p doc/themes/scikit-learn-modern/static/css/vendor/
 	ln -s /usr/share/javascript/bootstrap4/css/bootstrap.min.css doc/themes/scikit-learn-modern/static/css/vendor/bootstrap.min.css
@@ -166,28 +156,21 @@
   done;
 endef
 export PYBUILD_AFTER_BUILD
+
+execute_after_dh_auto_build-indep:
 # Only with the default Python 3, additionally use pybuild to run
 # sphinx once the build is complete.
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-define PYBUILD_AFTER_BUILD_python$(PY3VER)
-  $(PYBUILD_AFTER_BUILD)
-  PYTHONPATH={build_dir} \
-  http_proxy='127.0.0.1.9' \
-  https_proxy='127.0.0.1.9' \
-  SPHINXBUILD="python$(PY3VER) -m sphinx" \
-  $(MAKE) -C doc html SPHINXOPTS="-j $(JOBS)" || true;
-  [ -d doc/_build/html ]
-endef
-export PYBUILD_AFTER_BUILD_python$(PY3VER)
-endif
-override_dh_auto_build-arch:
-	# Don't try to build docs in the arch build, so unset that hook
-	env -u PYBUILD_AFTER_BUILD_python$(PY3VER) \
-		dh_auto_build
-
+	PYTHONPATH=$(shell pybuild --print build_dir  --interpreter python3) \
+	http_proxy='127.0.0.1.9' \
+	https_proxy='127.0.0.1.9' \
+	SPHINXBUILD="python$(PY3VER) -m sphinx" \
+	$(MAKE) -C doc html SPHINXOPTS="-j $(JOBS)" || true;
+	[ -d doc/_build/html ]
+endif
 
 export PYBUILD_TEST_PYTEST := 1
-export PYBUILD_TEST_ARGS_python3 := -m "not network" -v --color=no -k "$(EXCLUDE_TESTS)"
+export PYBUILD_TEST_ARGS_python3 := -m "not network" -v -n `nproc` --color=no -k "$(EXCLUDE_TESTS)"
 define PYBUILD_BEFORE_TEST
   (mv $(CURDIR)/sklearn/conftest.py $(CURDIR)/sklearn/conftest.py.test; \
    mv $(CURDIR)/sklearn/datasets/tests/conftest.py $(CURDIR)/sklearn/datasets/tests/conftest.py.test; \
@@ -203,11 +186,17 @@
 # Nothing to do for indep
 override_dh_auto_test-indep:
 
-
 override_dh_auto_test-arch:
 	dh_auto_test -a $(IGNORE_ERRORS)
 
 export PYBUILD_AFTER_INSTALL = rm -f {destdir}/{install_dir}/_configtest*
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# cleanup python3 cache (mixing python3 subversions)
+	-find debian/tmp -name "__pycache__" -exec rm -r {} +
+
+override_dh_installdocs-arch:
+	dh_installdocs -A README*.rst
+
+override_dh_installdocs-indep:
+	dh_installdocs -A README*.rst
+ifneq (,$(filter python-sklearn-doc,$(shell dh_listpackages)))

## scikit-learn 1.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,14 @@
 in: inplace # just a shortcut
 inplace:
 	$(PYTHON) setup.py build_ext -i
+
+dev-meson:
+	# Temporary script to try the experimental meson build. Once meson is
+	# accepted as the default build tool, this will go away.
+	python build_tools/build-meson-editable-install.py
+
+clean-meson:
+	pip uninstall -y scikit-learn
 
 test-code: in
 	$(PYTEST) --showlocals -v sklearn --durations=20
@@ -61,5 +69,4 @@
 	$(MAKE) -C doc html-noplot
 
 code-analysis:
-	flake8 sklearn | grep -v __init__ | grep -v external
-	pylint -E -i y sklearn/ -d E1103,E0611,E1101
+	build_tools/linting.sh

=== doc/Makefile ===
--- 
+++ 
@@ -2,27 +2,30 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -T
 SPHINXBUILD  ?= sphinx-build
 PAPER         =
 BUILDDIR      = _build
-
-# Disable multiple jobs on OSX
-ifeq ($(shell uname), Darwin)
-	SPHINX_NUMJOBS ?= 1
-else
-	SPHINX_NUMJOBS ?= auto
-endif
 
 ifneq ($(EXAMPLES_PATTERN),)
     EXAMPLES_PATTERN_OPTS := -D sphinx_gallery_conf.filename_pattern="$(EXAMPLES_PATTERN)"
 endif
 
+ifeq ($(CI), true)
+    # On CircleCI using -j2 does not seem to speed up the html-noplot build
+    SPHINX_NUMJOBS_NOPLOT_DEFAULT=1
+else ifeq ($(shell uname), Darwin)
+    # Avoid stalling issues on MacOS
+    SPHINX_NUMJOBS_NOPLOT_DEFAULT=1
+else
+    SPHINX_NUMJOBS_NOPLOT_DEFAULT=auto
+endif
+
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)\
-    -j$(SPHINX_NUMJOBS) $(EXAMPLES_PATTERN_OPTS) .
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS)\
+    $(EXAMPLES_PATTERN_OPTS) .
 
 
 .PHONY: help clean html dirhtml ziphtml pickle json latex latexpdf changes linkcheck doctest optipng
@@ -48,17 +51,27 @@
 	-rm -rf generated/*
 	-rm -rf modules/generated/
 
+# Default to SPHINX_NUMJOBS=1 for full documentation build. Using
+# SPHINX_NUMJOBS!=1 may actually slow down the build, or cause weird issues in
+# the CI (job stalling or EOFError), see
+# https://github.com/scikit-learn/scikit-learn/pull/25836 or
+# https://github.com/scikit-learn/scikit-learn/pull/25809
+html: SPHINX_NUMJOBS ?= 1
 html:
 	# These two lines make the build a bit more lengthy, and the
 	# the embedding of images more robust
 	rm -rf $(BUILDDIR)/html/_images
 	#rm -rf _build/doctrees/
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) -j$(SPHINX_NUMJOBS) $(BUILDDIR)/html/stable
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable"
 
+# Default to SPHINX_NUMJOBS=auto (except on MacOS and CI) since this makes
+# html-noplot build faster
+html-noplot: SPHINX_NUMJOBS ?= $(SPHINX_NUMJOBS_NOPLOT_DEFAULT)
 html-noplot:
-	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html/stable
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) -j$(SPHINX_NUMJOBS) \
+    $(BUILDDIR)/html/stable
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/stable."

=== debian/changelog ===
scikit-learn (1.4.2+dfsg-8build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:17:21 +0000

scikit-learn (1.4.2+dfsg-8) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc for setting
    the amount of parallel testing.

  [ Drew Parsons ]
  * need version of scikit-learn newer than 1.4 to support scipy 1.15
    fully. In the meantime skip failing tests:
    test_csr_polynomial_expansion_index_overflow[csr_array-False-True
    Closes: #1096252

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 22:18:34 +0100

scikit-learn (1.4.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use pytest-xdist to run tests in parallel.
  * Exclude 3 more tests from autopkgtest (Closes: #1082291).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2024 13:24:48 +0100

scikit-learn (1.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * skip test_svc_ovr_tie_breaking[NuSVC] (test_svm) on i386.
    See upstream Issue#29633. Closes: 1078123.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Aug 2024 11:04:05 +0200

scikit-learn (1.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Add "-Wno-incompatible-pointer-types" to the CFLAGS to fix
    the build on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 14:02:53 +0200

scikit-learn (1.4.2+dfsg-4) unstable; urgency=medium

  * Team upload. Closes: #1077461, #1076923
  * d/rules: Don't run setup.py ourselves
  * d/control: switch to PEP-517 building
  * d/source/options: ignore the .egg-info directory
  * d/control: use python-numpy-doc & python-matplotlib-doc for our docs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 11:16:36 +0200

scikit-learn (1.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/watch: upstream switched from a hyphen to an underscore in the
    source tarball name.
  * d/github-revision.txt: out of date
  * d/README.source: added reminder about updating d/github-revision.txt
  * d/upstream/metadata: upstream finally has a bio.tools identifier
  * d/patches: adjust some metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 12:45:23 +0200

scikit-learn (1.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix autopkgtest regression on i386.
    Closes: #1070201
  * d/control: -docs: suggest the related/linked -docs packages.
  * d/patches/no-download-intersphinx-mapping.patch: fix some paths, link
    to the packaged docs not the remote docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 20 Jun 2024 19:38:04 +0200

scikit-learn (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Drew Parsons ]
  * skip failing tests on armel: test_tfidf_no_smoothing and
    test_qda_regularization, which don't emit expected divide-by-zero
    runtime warnings.

  [ Michael R. Crusoe ]
  * Update docs patch to "import os" as needed
  * d/tests/python3: test on all supported versions of Python

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:46:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                cython3,
                python3-setuptools,
                python3-numpy,
                python3-scipy,
                python3-pytest,
+               python3-pytest-xdist,
                python3-matplotlib,
                python3-joblib,
                python3-threadpoolctl,
@@ -21,7 +23,8 @@
                python3-pandas <!nocheck>,
                python3-pil <!nocheck>,
                libjs-bootstrap4
-Build-Depends-Indep: python3-sphinx,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery,
                      python3-sphinx-prompt,
@@ -31,12 +34,15 @@
                      python3-skimage,
                      python3-seaborn,
                      python3-pil,
+                     python3-pooch,
                      libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~),
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
                      python-scipy-doc,
-                     python-pandas-doc
+                     python-pandas-doc,
+                     python-numpy-doc,
+                     python-matplotlib-doc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
@@ -95,6 +101,10 @@
          libjs-bootstrap4,
          libjs-mathjax,
          libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
+Suggests: python3-doc,
+          python-numpy-doc,
+          python-scipy-doc,
+          python-pandas-doc
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz \
https://pypi.debian.net/scikit-learn/scikit[-_]learn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## scikit-learn 1.7.2%2Bdfsg

=== debian/changelog ===
scikit-learn (1.7.2+dfsg-3ubuntu1) resolute; urgency=medium

  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Oct 2025 11:59:55 +0000

scikit-learn (1.7.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Fix accidental formatting corruption in d/rules
  * Keep README.txt installed in sklearn.datasets module (Closes: #1118347)
  * Fix documentation depending on localization

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Oct 2025 21:38:20 +0200

scikit-learn (1.7.2+dfsg-2) experimental; urgency=medium

  * Skip failing tests on non-amd64 architectures
  * Add myself to uploaders
  * Bump Standards-Version to 4.7.2
  * Drop Suggests: for non-existing package
  * Drop ancient Conflicts/Replaces for python-sklearn-doc
  * Do not force pytest colored output
  * Fix Lintian warnings

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Oct 2025 13:12:24 +0200

scikit-learn (1.7.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Migrate debian/watch to version 5 format
  * New upstream version 1.7.2+dfsg
    - Fix FTBFS with SciPy 1.16 (Closes: #1109955)
    - Fix CVE-2024-5206: Potential data leakage from TF-IDF vectorizer
      (Closes: #1074234)
  * Update Debian patches
  * Update d/copyright
  * Wrap and sort Debian package files
  * Update build dependencies
    - Stop using twitter-bootstrap (Closes: #1088346, #1088593)
  * Clean up d/rules
  * Migrate to autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Oct 2025 23:07:39 +0200
